namespace Hawkeye.VisionBuilder.Workflow.Configuration;

public class RecipeSelectionConfig
{
    public bool SerialEnabled { get; set; } = false;
    public string ComPort { get; set; } = "COM3";

    public void Save(BinaryWriter bw)
    {
        bw.Write(SerialEnabled);
        bw.Write(ComPort);
    }

    public void Load(BinaryReader br)
    {
        SerialEnabled = br.ReadBoolean();
        ComPort = br.ReadString();
    }
}